org.modeshape.jcr.query.model

## Class EquiJoinCondition

- java.lang.Object
- - org.modeshape.jcr.query.model.EquiJoinCondition

- All Implemented Interfaces:
    Serializable, EquiJoinCondition, JoinCondition, LanguageObject, Visitable

      @Immutable
      public class EquiJoinCondition
      extends Object
      implements JoinCondition, EquiJoinCondition

  A join condition that tests whether a property on a node is equal to a property on another node. A node-tuple satisfies the constraint only if:
  - the `selector1Name` node has a property named `property1Name`, and
  - the `selector2Name` node has a property named `property2Name`, and
  - the value of property `property1Name` is equal to the value of property `property2Name`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EquiJoinCondition(Column column1, Column column2)` Create an equi-join condition, given the columns.
    `EquiJoinCondition(SelectorName selector1Name, String property1Name, SelectorName selector2Name, String property2Name)` Create an equi-join condition, given the names of the selector and property for the left- and right-hand-side of the join.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `String` | `getProperty1Name()`
    `String` | `getProperty2Name()`
    `String` | `getSelector1Name()`
    `String` | `getSelector2Name()`
    `int` | `hashCode()`
    `SelectorName` | `selector1Name()` Get the name of the selector that appears on the left-side of the join.
    `SelectorName` | `selector2Name()` Get the name of the selector that appears on the right-side of the join.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EquiJoinCondition

          public EquiJoinCondition(SelectorName selector1Name,
                           String property1Name,
                           SelectorName selector2Name,
                           String property2Name)

      Create an equi-join condition, given the names of the selector and property for the left- and right-hand-side of the join.
      Parameters:
        `selector1Name` - the selector name appearing on the left-side of the join; never null
        `property1Name` - the property name for the left-side of the join; never null
        `selector2Name` - the selector name appearing on the right-side of the join; never null
        `property2Name` - the property name for the right-side of the join; never null

    - #### EquiJoinCondition

          public EquiJoinCondition(Column column1,
                           Column column2)

      Create an equi-join condition, given the columns.
      Parameters:
        `column1` - the column for the left-side of the join; never null
        `column2` - the column for the right-side of the join; never null

  - ### Method Detail

    - #### selector1Name

          public final SelectorName selector1Name()

      Get the name of the selector that appears on the left-side of the join.
      Returns:
        the selector name appearing on the left-side of the join; never null

    - #### selector2Name

          public final SelectorName selector2Name()

      Get the name of the selector that appears on the right-side of the join.
      Returns:
        the selector name appearing on the right-side of the join; never null

    - #### getSelector1Name

          public String getSelector1Name()

      Specified by:
        `getSelector1Name` in interface `EquiJoinCondition`

    - #### getSelector2Name

          public String getSelector2Name()

      Specified by:
        `getSelector2Name` in interface `EquiJoinCondition`

    - #### getProperty1Name

          public final String getProperty1Name()

      Specified by:
        `getProperty1Name` in interface `EquiJoinCondition`

    - #### getProperty2Name

          public final String getProperty2Name()

      Specified by:
        `getProperty2Name` in interface `EquiJoinCondition`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.